Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/scripts/libmakepkg/source
diff options
context:
space:
mode:
authorEli Schwartz <eschwartz@archlinux.org>2020-06-02 17:50:24 -0400
committerAllan McRae <allan@archlinux.org>2020-06-11 10:54:54 +1000
commitbf458cced7c0845f7b6fabb887d3878ae4cd51b2 (patch)
tree974ba5f685f644d160e1535283565f523af3c40e /scripts/libmakepkg/source
parent381e11375569fa7588b1297e0e744749bdafe8f5 (diff)
libmakepkg: fix regression in sending plain() output to stderr
In commit 882e707e40bbade0111cf3bdedbdac4d4b70453b we changed message output to go to stdout by default, unless it was an error. The plain() function doesn't *look* like an error function, but in practice it was -- it's used to continue multiline messages, and all in-tree uses were for warning/error. This is a problem both because we're sending output to the wrong place, and because in some cases, we were performing error logging from a function which would otherwise return a value to be captured in a variable using command substution. Fix this and straighten out the API by providing two functions: one for continuing msg output, and one which wraps this by sending output to stderr, for continuing error output. Change all callers to use the second function.
Diffstat (limited to 'scripts/libmakepkg/source')
-rw-r--r--scripts/libmakepkg/source/bzr.sh.in8
-rw-r--r--scripts/libmakepkg/source/file.sh.in4
-rw-r--r--scripts/libmakepkg/source/git.sh.in14
-rw-r--r--scripts/libmakepkg/source/hg.sh.in8
-rw-r--r--scripts/libmakepkg/source/svn.sh.in4
5 files changed, 19 insertions, 19 deletions
diff --git a/scripts/libmakepkg/source/bzr.sh.in b/scripts/libmakepkg/source/bzr.sh.in
index 1227c739..d8e47185 100644
--- a/scripts/libmakepkg/source/bzr.sh.in
+++ b/scripts/libmakepkg/source/bzr.sh.in
@@ -52,7 +52,7 @@ download_bzr() {
msg2 "$(gettext "Branching %s...")" "${displaylocation}"
if ! bzr branch "$url" "$dir" --no-tree --use-existing-dir; then
error "$(gettext "Failure while branching %s")" "${displaylocation}"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
elif (( ! HOLDVER )); then
@@ -83,7 +83,7 @@ extract_bzr() {
;;
*)
error "$(gettext "Unrecognized reference: %s")" "${fragment}"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
esac
fi
@@ -98,12 +98,12 @@ extract_bzr() {
cd_safe "${dir##*/}"
if ! (bzr pull "$dir" -q --overwrite -r "$rev" && bzr clean-tree -q --detritus --force); then
error "$(gettext "Failure while updating working copy of %s %s repo")" "${repo}" "bzr"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
elif ! bzr checkout "$dir" -r "$rev"; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "bzr"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
diff --git a/scripts/libmakepkg/source/file.sh.in b/scripts/libmakepkg/source/file.sh.in
index 2b804564..b29aeb04 100644
--- a/scripts/libmakepkg/source/file.sh.in
+++ b/scripts/libmakepkg/source/file.sh.in
@@ -72,7 +72,7 @@ download_file() {
if ! command -- "${cmdline[@]}" >&2; then
[[ ! -s $dlfile ]] && rm -f -- "$dlfile"
error "$(gettext "Failure while downloading %s")" "$url"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
@@ -137,7 +137,7 @@ extract_file() {
fi
if (( ret )); then
error "$(gettext "Failed to extract %s")" "$file"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
diff --git a/scripts/libmakepkg/source/git.sh.in b/scripts/libmakepkg/source/git.sh.in
index a29be3c5..95e653ca 100644
--- a/scripts/libmakepkg/source/git.sh.in
+++ b/scripts/libmakepkg/source/git.sh.in
@@ -50,7 +50,7 @@ download_git() {
msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "git"
if ! git clone --mirror "$url" "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "git"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
elif (( ! HOLDVER )); then
@@ -58,7 +58,7 @@ download_git() {
# Make sure we are fetching the right repo
if [[ "$url" != "$(git config --get remote.origin.url)" ]] ; then
error "$(gettext "%s is not a clone of %s")" "$dir" "$url"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
msg2 "$(gettext "Updating %s %s repo...")" "${repo}" "git"
@@ -87,13 +87,13 @@ extract_git() {
cd_safe "${dir##*/}"
if ! git fetch; then
error "$(gettext "Failure while updating working copy of %s %s repo")" "${repo}" "git"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
cd_safe "$srcdir"
elif ! git clone -s "$dir" "${dir##*/}"; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
@@ -110,7 +110,7 @@ extract_git() {
;;
*)
error "$(gettext "Unrecognized reference: %s")" "${fragment}"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
esac
fi
@@ -119,7 +119,7 @@ extract_git() {
tagname="$(git tag -l --format='%(tag)' "$ref")"
if [[ -n $tagname && $tagname != "$ref" ]]; then
error "$(gettext "Failure while checking out version %s, the git tag has been forged")" "$ref"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
fi
@@ -127,7 +127,7 @@ extract_git() {
if [[ $ref != "origin/HEAD" ]] || (( updating )) ; then
if ! git checkout --force --no-track -B makepkg "$ref" --; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
fi
diff --git a/scripts/libmakepkg/source/hg.sh.in b/scripts/libmakepkg/source/hg.sh.in
index b5af6ce0..d47458f9 100644
--- a/scripts/libmakepkg/source/hg.sh.in
+++ b/scripts/libmakepkg/source/hg.sh.in
@@ -49,7 +49,7 @@ download_hg() {
msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "hg"
if ! hg clone -U "$url" "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "hg"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
elif (( ! HOLDVER )); then
@@ -91,7 +91,7 @@ extract_hg() {
;;
*)
error "$(gettext "Unrecognized reference: %s")" "${fragment}"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
esac
fi
@@ -100,12 +100,12 @@ extract_hg() {
cd_safe "${dir##*/}"
if ! (hg pull && hg update -C -r "$ref"); then
error "$(gettext "Failure while updating working copy of %s %s repo")" "${repo}" "hg"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
elif ! hg clone -u "$ref" "$dir" "${dir##*/}"; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "hg"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
diff --git a/scripts/libmakepkg/source/svn.sh.in b/scripts/libmakepkg/source/svn.sh.in
index e808b2cb..89205ec3 100644
--- a/scripts/libmakepkg/source/svn.sh.in
+++ b/scripts/libmakepkg/source/svn.sh.in
@@ -60,7 +60,7 @@ download_svn() {
;;
*)
error "$(gettext "Unrecognized reference: %s")" "${fragment}"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
esac
fi
@@ -70,7 +70,7 @@ download_svn() {
mkdir -p "$dir/.makepkg"
if ! svn checkout -r ${ref} --config-dir "$dir/.makepkg" "$url" "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "svn"
- plain "$(gettext "Aborting...")"
+ plainerr "$(gettext "Aborting...")"
exit 1
fi
elif (( ! HOLDVER )); then